Undelete world
curl --request POST \
--url https://api.wazoo.dev/v1/worlds/{worldId}/undelete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wazoo.dev/v1/worlds/{worldId}/undelete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wazoo.dev/v1/worlds/{worldId}/undelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wazoo.dev/v1/worlds/{worldId}/undelete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wazoo.dev/v1/worlds/{worldId}/undelete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wazoo.dev/v1/worlds/{worldId}/undelete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wazoo.dev/v1/worlds/{worldId}/undelete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"world": {
"id": "<string>",
"displayName": "<string>",
"region": "<string>",
"state": "ACTIVE",
"restorable": true,
"backend": "worlds-api",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"deleteTime": "2023-11-07T05:31:56Z",
"expireTime": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Undelete world
POST
/
v1
/
worlds
/
{worldId}
/
undelete
Undelete world
curl --request POST \
--url https://api.wazoo.dev/v1/worlds/{worldId}/undelete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wazoo.dev/v1/worlds/{worldId}/undelete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wazoo.dev/v1/worlds/{worldId}/undelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wazoo.dev/v1/worlds/{worldId}/undelete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wazoo.dev/v1/worlds/{worldId}/undelete"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wazoo.dev/v1/worlds/{worldId}/undelete")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wazoo.dev/v1/worlds/{worldId}/undelete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"world": {
"id": "<string>",
"displayName": "<string>",
"region": "<string>",
"state": "ACTIVE",
"restorable": true,
"backend": "worlds-api",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"deleteTime": "2023-11-07T05:31:56Z",
"expireTime": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Wazoo platform API token.
Path Parameters
World ID minted by worlds-api in w_ form.
Pattern:
^w_[0-7][0-9a-hjkmnp-tv-z]{25}$Query Parameters
User email to operate on when using an admin token. User tokens ignore this parameter.
Response
Restored World
Hide child attributes
Hide child attributes
World ID minted by worlds-api in w_ form.
Pattern:
^w_[0-7][0-9a-hjkmnp-tv-z]{25}$Available options:
ACTIVE, SUSPENDED, DELETED Available options:
worlds-api